AddWorkUnit (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.synchronization.work
Class AddWorkUnit

    java.lang.Object
      org.hibernate.envers.synchronization.work.AbstractAuditWorkUnit
          org.hibernate.envers.synchronization.work.AddWorkUnit

All Implemented Interfaces:
  AuditWorkUnit, WorkUnitMergeDispatcher, WorkUnitMergeVisitor

    public class AddWorkUnit

extends AbstractAuditWorkUnit
implements AuditWorkUnit

Field Summary

Fields inherited from class org.hibernate.envers.synchronization.work.AbstractAuditWorkUnit
`auditStrategy, entityName, id, revisionType, sessionImplementor, verCfg`

Constructor Summary
`AddWorkUnit(SessionImplementor sessionImplementor, String entityName, AuditConfiguration verCfg, Serializable id, EntityPersister entityPersister, Object[] state)`
`AddWorkUnit(SessionImplementor sessionImplementor, String entityName, AuditConfiguration verCfg, Serializable id, Map<String,Object> data)`

Method Summary
`boolean` | `containsWork()`
`AuditWorkUnit` | `dispatch(WorkUnitMergeVisitor first)` Shuold be invoked on the second work unit.
`Map<String,Object>` | `generateData(Object revisionData)`
`Object[]` | `getState()`
`AuditWorkUnit` | `merge(AddWorkUnit second)`
`AuditWorkUnit` | `merge(CollectionChangeWorkUnit second)`
`AuditWorkUnit` | `merge(DelWorkUnit second)`
`AuditWorkUnit` | `merge(FakeBidirectionalRelationWorkUnit second)`
`AuditWorkUnit` | `merge(ModWorkUnit second)`

Methods inherited from class org.hibernate.envers.synchronization.work.AbstractAuditWorkUnit
`fillDataWithId, getEntityId, getEntityName, getRevisionType, isPerformed, perform, setPerformed, undo`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.envers.synchronization.work.AuditWorkUnit
`getEntityId, getEntityName, getRevisionType, isPerformed, perform, undo`

Constructor Detail

### AddWorkUnit

    public AddWorkUnit(SessionImplementor sessionImplementor,
                       String entityName,
                       AuditConfiguration verCfg,
                       Serializable id,
                       EntityPersister entityPersister,
                       Object[] state)

### AddWorkUnit

    public AddWorkUnit(SessionImplementor sessionImplementor,
                       String entityName,
                       AuditConfiguration verCfg,
                       Serializable id,
                       Map<String,Object> data)

Method Detail

### containsWork

    public boolean containsWork()

  Specified by:
    `containsWork` in interface `AuditWorkUnit`

### generateData

    public Map<String,Object> generateData(Object revisionData)

  Specified by:
    `generateData` in interface `AuditWorkUnit`
  Parameters:
    `revisionData` - The current revision data, which will be used to populate the work unit with the correct revision relation.
  Returns:
    Generates data that should be saved when performing this work unit.

### getState

    public Object[] getState()

### merge

    public AuditWorkUnit merge(AddWorkUnit second)

  Specified by:
    `merge` in interface `WorkUnitMergeVisitor`

### merge

    public AuditWorkUnit merge(ModWorkUnit second)

  Specified by:
    `merge` in interface `WorkUnitMergeVisitor`

### merge

    public AuditWorkUnit merge(DelWorkUnit second)

  Specified by:
    `merge` in interface `WorkUnitMergeVisitor`

### merge

    public AuditWorkUnit merge(CollectionChangeWorkUnit second)

  Specified by:
    `merge` in interface `WorkUnitMergeVisitor`

### merge

    public AuditWorkUnit merge(FakeBidirectionalRelationWorkUnit second)

  Specified by:
    `merge` in interface `WorkUnitMergeVisitor`

### dispatch

    public AuditWorkUnit dispatch(WorkUnitMergeVisitor first)

  Description copied from interface: `WorkUnitMergeDispatcher`
  Shuold be invoked on the second work unit.

  Specified by:
    `dispatch` in interface `WorkUnitMergeDispatcher`
  Parameters:
    `first` - First work unit (that is, the one added earlier).
  Returns:
    The work unit that is the result of the merge.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.